public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-nntp/sabnzbd/
Date: Wed, 22 May 2024 06:55:58 +0000 (UTC)	[thread overview]
Message-ID: <1716360951.8b6e20eb09e9116cdc41d6db7633d51b07901765.mgorny@gentoo> (raw)

commit:     8b6e20eb09e9116cdc41d6db7633d51b07901765
Author:     Joe Kappus <joe <AT> wt <DOT> gd>
AuthorDate: Mon May  6 06:22:06 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May 22 06:55:51 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b6e20eb

net-nntp/sabnzbd: add 4.3.1

Closes: https://bugs.gentoo.org/931258
Signed-off-by: Joe Kappus <joe <AT> wt.gd>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-nntp/sabnzbd/Manifest             |   1 +
 net-nntp/sabnzbd/sabnzbd-4.3.1.ebuild | 172 ++++++++++++++++++++++++++++++++++
 2 files changed, 173 insertions(+)

diff --git a/net-nntp/sabnzbd/Manifest b/net-nntp/sabnzbd/Manifest
index 8ed8e4b99f3e..43a63e57d5ce 100644
--- a/net-nntp/sabnzbd/Manifest
+++ b/net-nntp/sabnzbd/Manifest
@@ -1 +1,2 @@
 DIST SABnzbd-4.2.3-src.tar.gz 5096209 BLAKE2B 60d52f89cd85d942d50310b25016a33983889ee13e380785e3510b954e82ce6c29f867e4cf21814e4a949b9f0484cf55766583234bed7e91432a3a741ac3ba3a SHA512 446985d6c5faddd90bff097a55fb2e4e588f9d5aad42215187bade57dab9b00c132d8d9116c68b8210b51d382740a97908f2b5d071cbf6b90fe9c7ecbfc65398
+DIST SABnzbd-4.3.1-src.tar.gz 5104424 BLAKE2B d37b06da3943e1ae196b139c5c9be57b7c6af6225535ef3ca95c55dd93b6a64c7a2c2f73494c173d3284e63065f5a8867057a377ccf6505de7f6a2daa8b62a5f SHA512 99584a6e66c81bea59d9c139deb8c9683804000c09feb6df10c96ec52c3d9deedd794cee3d9db845b58c27d151cc2fcd1be1b022ce256f750dc45ba8d4ecae52

diff --git a/net-nntp/sabnzbd/sabnzbd-4.3.1.ebuild b/net-nntp/sabnzbd/sabnzbd-4.3.1.ebuild
new file mode 100644
index 000000000000..1cbf713047b9
--- /dev/null
+++ b/net-nntp/sabnzbd/sabnzbd-4.3.1.ebuild
@@ -0,0 +1,172 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_REQ_USE="sqlite"
+
+inherit optfeature python-single-r1 systemd
+
+MY_PV="${PV/_alpha/Alpha}"
+MY_PV="${MY_PV/_beta/Beta}"
+MY_PV="${MY_PV/_rc/RC}"
+
+MY_P="SABnzbd-${MY_PV}"
+
+DESCRIPTION="Binary newsgrabber with web-interface"
+HOMEPAGE="https://sabnzbd.org/"
+SRC_URI="https://github.com/sabnzbd/sabnzbd/releases/download/${MY_PV}/${MY_P}-src.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+# Sabnzbd is GPL-2 but bundles software with the following licenses.
+LICENSE="GPL-2 BSD LGPL-2 MIT BSD-1"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="
+	acct-user/sabnzbd
+	acct-group/sabnzbd
+	${PYTHON_DEPS}
+	$(python_gen_cond_dep '
+		>=dev-python/apprise-1.7.6[${PYTHON_USEDEP}]
+		dev-python/chardet[${PYTHON_USEDEP}]
+		dev-python/cheetah3[${PYTHON_USEDEP}]
+		dev-python/cherrypy[${PYTHON_USEDEP}]
+		dev-python/configobj[${PYTHON_USEDEP}]
+		dev-python/cryptography[${PYTHON_USEDEP}]
+		>=dev-python/feedparser-6.0.11[${PYTHON_USEDEP}]
+		>=dev-python/guessit-3.7.1[${PYTHON_USEDEP}]
+		dev-python/notify2[${PYTHON_USEDEP}]
+		dev-python/portend[${PYTHON_USEDEP}]
+		dev-python/puremagic[${PYTHON_USEDEP}]
+		~dev-python/sabctools-8.1.0[${PYTHON_USEDEP}]
+	')
+"
+RDEPEND="
+	${DEPEND}
+	|| (
+		>=app-arch/par2cmdline-0.8
+		>=app-arch/par2cmdline-turbo-1.1.0
+	)
+	net-misc/wget
+"
+BDEPEND="
+	test? (
+		$(python_gen_cond_dep '
+			dev-python/flaky[${PYTHON_USEDEP}]
+			>=dev-python/lxml-4.5.0[${PYTHON_USEDEP}]
+			<dev-python/pyfakefs-5.4.0[${PYTHON_USEDEP}]
+			dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+			dev-python/pytest-httpserver[${PYTHON_USEDEP}]
+			dev-python/pytest-mock[${PYTHON_USEDEP}]
+			=dev-python/pytest-7.4.4[${PYTHON_USEDEP}]
+			dev-python/requests[${PYTHON_USEDEP}]
+			dev-python/selenium[${PYTHON_USEDEP}]
+			dev-python/tavalidate[${PYTHON_USEDEP}]
+			>=dev-python/tavern-2[${PYTHON_USEDEP}]
+			dev-python/werkzeug[${PYTHON_USEDEP}]
+			dev-python/xmltodict[${PYTHON_USEDEP}]
+		')
+		app-arch/p7zip
+		app-arch/unrar
+		app-arch/unzip
+		www-apps/chromedriver-bin
+	)
+"
+
+src_test() {
+	local EPYTEST_IGNORE=(
+		# network sandbox
+		tests/test_getipaddress.py
+		tests/test_rss.py
+		tests/test_urlgrabber.py
+		tests/test_utils/test_happyeyeballs.py
+		tests/test_utils/test_internetspeed.py
+	)
+	local EPYTEST_DESELECT=(
+		# network sandbox
+		'tests/test_cfg.py::TestValidators::test_validate_host'
+		'tests/test_consistency.py::TestWiki'
+		'tests/test_newswrapper.py::TestNewsWrapper'
+		'tests/test_happyeyeballs.py::TestHappyEyeballs'
+		'tests/test_internetspeed.py::TestInternetSpeed'
+		# Just plain fails
+		'tests/test_newsunpack.py::TestPar2Repair::test_basic'
+		# Chromedriver tests don't want to behave in portage
+		'tests/test_functional_config.py::TestBasicPages::test_base_pages'
+		'tests/test_functional_config.py::TestBasicPages::test_base_submit_pages'
+		'tests/test_functional_config.py::TestConfigLogin::test_login'
+		'tests/test_functional_config.py::TestConfigCategories::test_page'
+		'tests/test_functional_config.py::TestConfigRSS::test_rss_basic_flow'
+		'tests/test_functional_config.py::TestConfigServers::test_add_and_remove_server'
+		'tests/test_functional_downloads.py::TestDownloadFlow::test_download_basic_rar5'
+		'tests/test_functional_downloads.py::TestDownloadFlow::test_download_zip'
+		'tests/test_functional_downloads.py::TestDownloadFlow::test_download_7zip'
+		'tests/test_functional_downloads.py::TestDownloadFlow::test_download_passworded'
+		'tests/test_functional_downloads.py::TestDownloadFlow::test_download_fully_obfuscated'
+		'tests/test_functional_downloads.py::TestDownloadFlow::test_download_unicode_rar'
+		'tests/test_functional_misc.py::TestShowLogging::test_showlog'
+		'tests/test_functional_misc.py::TestQueueRepair::test_queue_repair'
+		'tests/test_functional_misc.py::TestDaemonizing::test_daemonizing'
+		'tests/test_functional_sorting.py::TestDownloadSorting'
+	)
+
+	# The test suite is prone to being broken by random plugins that happen
+	# to be installed, so disable autoloading.
+	local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+	# Use PYTEST_PLUGINS instead of args to 'epytest' because the test suite
+	# calls pytest itself and the args would get lost. To get the list of plugins,
+	# if stuck, comment out the AUTOLOAD line above, look at the list of loaded
+	# plugins at the top of the pytest output, then translate those into module names
+	# by e.g. checking equery f.
+	local -x PYTEST_PLUGINS=pytest_mock,tavern,tavern._core.pytest,pyfakefs.pytest_plugin,pytest_asyncio.plugin
+
+	epytest -s
+}
+
+src_install() {
+	insinto /usr/share/${PN}
+	doins -r email icons interfaces locale po sabnzbd scripts tools
+
+	exeinto /usr/share/${PN}
+	doexe SABnzbd.py
+
+	python_fix_shebang "${ED}"/usr/share/${PN}
+	python_optimize "${ED}"/usr/share/${PN}
+
+	newinitd "${FILESDIR}"/${PN}-r1.initd ${PN}
+	newconfd "${FILESDIR}"/${PN}.confd ${PN}
+
+	diropts -o ${PN} -g ${PN}
+	dodir /etc/${PN}
+	keepdir /var/log/${PN}
+
+	insinto "/etc/${PN}"
+	insopts -m 0600 -o "${PN}" -g "${PN}"
+	newins "${FILESDIR}"/${PN}-r1.ini ${PN}.ini
+
+	dodoc ISSUES.txt README.mkd
+
+	systemd_newunit "${FILESDIR}"/sabnzbd_at.service 'sabnzbd@.service'
+}
+
+pkg_postinst() {
+	if [[ -z "${REPLACING_VERSIONS}" ]]; then
+		# This is a new installation
+		einfo "Default directory: /var/lib/${PN}"
+		einfo
+		einfo "To add a user to the sabnzbd group so it can edit SABnzbd+ files, run:"
+		einfo
+		einfo "    usermod -a -G sabnzbd <user>"
+		einfo
+		einfo "By default, SABnzbd will listen on TCP port 8080."
+	fi
+
+	optfeature "7z archive support" app-arch/p7zip
+	optfeature "rar archive support" app-arch/unrar app-arch/rar
+	optfeature "zip archive support" app-arch/unzip
+}


             reply	other threads:[~2024-05-22  6:56 UTC|newest]

Thread overview: 95+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-05-22  6:55 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-24 14:05 [gentoo-commits] repo/gentoo:master commit in: net-nntp/sabnzbd/ Michał Górny
2024-08-24 14:05 Michał Górny
2024-08-24 13:51 Michał Górny
2024-07-20  4:15 Joonas Niilola
2024-07-20  4:15 Joonas Niilola
2024-05-22 11:39 Michał Górny
2024-05-22  6:55 Michał Górny
2024-05-21 12:44 Michał Górny
2024-05-21  6:09 Joonas Niilola
2024-03-23  8:29 Sam James
2024-02-18 12:55 Sam James
2024-02-18 12:55 Sam James
2024-02-18 12:55 Sam James
2024-01-13  9:07 Joonas Niilola
2024-01-13  9:07 Joonas Niilola
2023-11-19  8:28 Michał Górny
2023-08-15 12:27 Joonas Niilola
2023-07-24 14:46 Arthur Zamarin
2023-06-12  4:13 Sam James
2023-06-12  4:13 Sam James
2023-05-30  7:52 Joonas Niilola
2023-05-26  8:10 Joonas Niilola
2023-05-26  8:10 Joonas Niilola
2023-02-27 12:33 Michał Górny
2023-02-27 12:31 Michał Górny
2023-02-15 11:53 Yixun Lan
2023-02-05 14:22 Michał Górny
2023-02-04 12:36 Arthur Zamarin
2023-01-15  8:29 Michał Górny
2023-01-15  7:51 Joonas Niilola
2022-12-24  7:03 Sam James
2022-11-22 13:37 Joonas Niilola
2022-11-22 13:37 Joonas Niilola
2022-10-14  7:47 Joonas Niilola
2022-10-13 16:50 Michał Górny
2022-10-12 21:01 Sam James
2022-10-12 20:44 Sam James
2022-10-12 20:44 Sam James
2022-10-12 20:44 Sam James
2022-10-12 20:44 Sam James
2022-10-12 20:44 Sam James
2022-08-17  3:12 Sam James
2022-06-07  8:26 Jakov Smolić
2021-10-15 14:33 Thomas Deutschmann
2021-09-29 16:55 Thomas Deutschmann
2021-09-25 14:03 Thomas Deutschmann
2021-09-25 14:03 Thomas Deutschmann
2021-09-25 13:59 Thomas Deutschmann
2021-09-22 12:16 Thomas Deutschmann
2021-06-18 16:36 Thomas Deutschmann
2021-06-01  8:19 Thomas Deutschmann
2021-06-01  8:19 Thomas Deutschmann
2021-05-15 19:26 Sam James
2021-03-31 22:19 Thomas Deutschmann
2021-03-01 18:06 Thomas Deutschmann
2021-03-01 18:06 Thomas Deutschmann
2020-11-12 15:23 Thomas Deutschmann
2020-10-19 21:16 Thomas Deutschmann
2020-09-01 20:58 Thomas Deutschmann
2020-08-31 21:37 Thomas Deutschmann
2020-08-18 13:53 Thomas Deutschmann
2020-08-04 13:49 Thomas Deutschmann
2020-08-02 22:32 Thomas Deutschmann
2020-07-22 17:30 Thomas Deutschmann
2020-06-27 23:57 Thomas Deutschmann
2020-06-26 22:12 Thomas Deutschmann
2020-02-09 16:34 Michał Górny
2019-12-06  0:42 Thomas Deutschmann
2019-09-04 14:21 Justin Bronder
2019-05-25  3:19 Justin Bronder
2019-01-29  2:23 Justin Bronder
2018-09-17 21:35 Justin Bronder
2018-06-14 19:25 Justin Bronder
2018-05-07 14:41 Justin Bronder
2018-01-03 15:55 Justin Bronder
2017-12-18 14:27 Justin Bronder
2017-11-09  0:35 Justin Bronder
2017-09-29 16:47 Justin Bronder
2017-03-22 23:32 Justin Bronder
2016-11-29 14:33 Justin Bronder
2016-11-29 14:31 Justin Bronder
2016-11-22 13:56 Justin Bronder
2016-11-21 16:46 Justin Bronder
2016-11-21 14:07 Justin Bronder
2016-11-21 14:07 Justin Bronder
2016-11-21 14:07 Justin Bronder
2016-11-21 14:07 Justin Bronder
2016-11-19 16:34 Justin Bronder
2016-11-19 16:34 Justin Bronder
2016-11-19 16:34 Justin Bronder
2016-11-19 16:34 Justin Bronder
2016-11-19 16:34 Justin Bronder
2016-11-19 16:34 Justin Bronder
2016-08-18 19:10 Justin Bronder

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1716360951.8b6e20eb09e9116cdc41d6db7633d51b07901765.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox